## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           dtkgui
Version:        5.5.22
Release:        %autorelease
Summary:        Deepin dtkgui
License:        LGPLv3+
URL:            https://github.com/linuxdeepin/dtkgui

Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  dtkcore-devel
BuildRequires:  librsvg2-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  gtest-devel
BuildRequires:  gmock-devel
%if 0%{?fedora}
BuildRequires:  qt5-qtbase-private-devel
%endif
BuildRequires:  make
%description
Dtkgui is the GUI module for DDE look and feel.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       dtkcore-devel%{?_isa}

%description devel
Header files and libraries for %{name}.

%prep
%autosetup

%build
# help find (and prefer) qt5 utilities, e.g. qmake, lrelease
export PATH=%{_qt5_bindir}:$PATH
%qmake_qt5 PREFIX=%{_prefix} \
           DTK_VERSION=%{version} \
           LIB_INSTALL_DIR=%{_libdir} \
           BIN_INSTALL_DIR=%{_libexecdir}/dtk5 \
           TOOL_INSTALL_DIR=%{_libexecdir}/dtk5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.5*
%{_libexecdir}/dtk5/deepin-gui-settings
%{_libexecdir}/dtk5/dde-kwin-debug
%{_libexecdir}/dtk5/dnd-test-client
%{_libexecdir}/dtk5/dnd-test-server

%files devel
%{_includedir}/libdtk-*/
%{_libdir}/pkgconfig/dtkgui*.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_dtkgui*.pri
%{_libdir}/cmake/DtkGui*/
%{_libdir}/lib%{name}.so

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 5.5.22-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> 5.5.22-4
- Drop BR: annobin

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> 5.5.22-3
- Rebuild (qt5)

* Tue May 17 2022 Jan Grulich <jgrulich@redhat.com> 5.5.22-2
- Rebuild (qt5)

* Tue Apr 19 2022 Robin Lee <cheeselee@fedoraproject.org> 5.5.22-1
- New release 5.5.22

* Tue Mar 08 2022 Jan Grulich <jgrulich@redhat.com> 5.5.21-2
- Rebuild (qt5)

* Fri Feb 18 2022 Robin Lee <cheeselee@fedoraproject.org> 5.5.21-1
- New release 5.5.21

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 5.5.17.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 06 2021 Robin Lee <cheeselee@fedoraproject.org> 5.5.17.1-1
- New release 5.5.17.1

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Mar 11 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.4.0-1
- feat: add github action (lxz)
- fix: disable text color hard to read (ck)
- feat: Initial packit setup (Robin Lee)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.2.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.2.2.18-2
- rebuild (qt5)

* Sun Nov 08 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.2.2.18-1
- new upstream release: 5.2.2.18

* Wed Sep 23 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.2.2.15-2
- Initial correct changelog
- Re-download upstream tarball
- Fix version value alignment

